Loading...
Searching...
No Matches
etl::sparse_histogram< TKey, TCount, Max_Size_ > Class Template Reference

Histogram for sparse keys. More...

`#include <histogram.h>`

## Public Types

typedef TKey | key_type
typedef TCount | count_type
typedef accumulator_type::value_type | value_type
typedef accumulator_type::const_iterator | const_iterator
Public Types inherited from etl::unary_function< TKey, void >
typedef TKey | argument_type
typedef void | result_type

## Public Member Functions

| ETL_STATIC_ASSERT (etl::is_integral< TCount >::value, "Only integral count allowed")
| sparse_histogram ()
| Constructor.
template<typename TIterator>
| sparse_histogram (TIterator first, TIterator last)
| Constructor.
| sparse_histogram (const sparse_histogram &other)
| Copy constructor.
sparse_histogram & | operator= (const sparse_histogram &rhs)
| Copy assignment.
const_iterator | begin () const
| Beginning of the histogram.
const_iterator | cbegin () const
| Beginning of the histogram.
const_iterator | end () const
| End of the histogram.
const_iterator | cend () const
| End of the histogram.
void | add (const key_type &key)
| Add.
template<typename TIterator>
void | add (TIterator first, TIterator last)
| Add.
void | operator() (const key_type &key)
| operator ()
template<typename TIterator>
void | operator() (TIterator first, TIterator last)
| operator ()
const value_type & | operator[] (const key_type &key) const
| operator []
void | clear ()
| Clear the histogram.
size_t | size () const
| Size of the histogram.
ETL_CONSTEXPR size_t | max_size () const
| Max size of the histogram.
size_t | count () const
| Count of items in the histogram.

## Static Public Attributes

static ETL_CONSTANT size_t | Max_Size = Max_Size_

## Detailed Description

template<typename TKey, typename TCount, size_t Max_Size_>
class etl::sparse_histogram< TKey, TCount, Max_Size_ >

Histogram for sparse keys.

The documentation for this class was generated from the following file:

- include/etl/histogram.h